### Method

# Clutter Transition set_to_value

#### Declaration [src]

    void
    clutter_transition_set_to_value (
      ClutterTransition* transition,
      const GValue* value
    )

#### Description [src]

Sets the final value of the transition.

This is a convenience function that will either create the `ClutterInterval` used by `transition`, or will update it if the `ClutterTransition:interval` is already set.

This function will copy the contents of `value`, so it is safe to call `g_value_unset()` after it returns.

If `transition` already has a `ClutterTransition:interval` set, then `value` must hold the same type, or a transformable type, as the interval’s `ClutterInterval:value-type` property.

This function is meant to be used by language bindings.

This method is renamed to `clutter_transition_set_to()` in language bindings.

#### Parameters

`value`

  Type: `GValue`

  A `GValue` with the final value of the transition.

  The data is owned by the caller of the method.